Kubernetes
probe Node

# verify_nodes_condition

Verify the condition value for a set of nodes

Run it now
View details

Type | probe
Module | chaosk8s.node.probes
Name | verify_nodes_condition
Return | boolean

Usage

JSON

    {
      "name": "verify-nodes-condition",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosk8s.node.probes",
        "func": "verify_nodes_condition"
      }
    }

YAML

    name: verify-nodes-condition
    provider:
      func: verify_nodes_condition
      module: chaosk8s.node.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description | Placeholder
--- | --- | --- | --- | --- | --- | ---
condition_type | string |  | Yes | Label Selector | Condition type to verify | PIDPressure
condition_value | string |  | Yes | Label Selector | Condition value to expect | False
label_selector | string |  | No | Label Selector | Target a subset of all the nodes only |

Retrieve all nodes conditions and statuses.

Signature

    def verify_nodes_condition(
            condition_type: str = "PIDPressure",
            condition_value: str = "False",
            label_selector: str = None,
            secrets: Dict[str, Dict[str, str]] = None) -> bool:
        pass

## Related starters

- Kubernetes
  action Node

  ## `drain_nodes`

  Drain nodes matching the given label or name, so that no pods are scheduled on them any longer and running pods are evicted
- Kubernetes
  action Node

  ## `create_node`

  Create one new node in the cluster
- Kubernetes
  action Node

  ## `drain_nodes`

  Drain nodes matching the given label or name, so that no pods are scheduled on them any longer and running pods are evicted